Method: projects.locations.extensionBindings.patch

Updates the parameters of the specified ExtensionBinding resource.

HTTP request

PATCH https://networkservices.googleapis.com/v1beta1/{extensionBinding.name=projects/*/locations/*/extensionBindings/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
extensionBinding.name

string

Identifier. Name of the ExtensionBinding resource in the following format: projects/{project}/locations/{location}/extensionBindings/{extensionBinding}.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Field mask is used to specify the fields to be overwritten in the ExtensionBinding resource by the update. The fields specified in the updateMask are relative to the resource, not the full request. A field is overwritten if it is in the mask. If the user does not provide a mask then all fields are overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of ExtensionBinding.

Response body

If successful, the response body contains an instance of Operation.

IAM Permissions

Requires the following IAM permission on the name resource:

  • networkservices.extensionBindings.update

For more information, see the IAM documentation.